type GroupInfoDto = {
    CustomGroupId: string;
    GroupName: string;
};
/**
 * The data model used by the OneTrust lib
 */
interface OneTrustGlobal {
    GetDomainData: () => {
        Groups: GroupInfoDto[];
    };
    /**
     *  This callback appears to fire whenever the alert box is closed, no matter what.
     * E.g:
     * - if a user continues without accepting
     * - if a user makes a selection
     * - if a user rejects all
     */
    onConsentChanged: (cb: (groupIds: string[]) => void) => void;
    IsAlertBoxClosed: () => boolean;
}
export declare const getOneTrustGlobal: () => OneTrustGlobal | undefined;
export declare const getConsentedGroupIds: () => string[];
export type GroupInfo = {
    customGroupId: string;
    groupName: string;
};
type UserConsentGroupData = {
    userSetConsentGroups: GroupInfo[];
    userDeniedConsentGroups: GroupInfo[];
};
export declare const getGroupData: () => UserConsentGroupData;
export {};
//# sourceMappingURL=onetrust-api.d.ts.map